Package sop.operation

# Interface AbstractVerify<T>

Type Parameters:
  `T` - Builder type (`DetachedVerify`, `InlineVerify`)

All Known Subinterfaces:
  `DetachedVerify`, `InlineVerify`

public interface AbstractVerify<T>
Common API methods shared between verification of inline signatures (`InlineVerify`) and verification of detached signatures (`DetachedVerify`).

## Method Summary

Modifier and Type
Method
Description
`default T`
`cert(byte[] cert)`
Add one or more verification cert.
`T`
`cert(InputStream cert)`
Add one or more verification cert.
`T`
`notAfter(Date timestamp)`
Makes the SOP implementation consider signatures after this date invalid.
`T`
`notBefore(Date timestamp)`
Makes the SOP implementation consider signatures before this date invalid.

## Method Details

### notBefore

T notBefore(Date timestamp) throws SOPGPException.UnsupportedOption
Makes the SOP implementation consider signatures before this date invalid.

Parameters:
  `timestamp` - timestamp
Returns:
  builder instance
Throws:
  `SOPGPException.UnsupportedOption`

### notAfter

T notAfter(Date timestamp) throws SOPGPException.UnsupportedOption
Makes the SOP implementation consider signatures after this date invalid.

Parameters:
  `timestamp` - timestamp
Returns:
  builder instance
Throws:
  `SOPGPException.UnsupportedOption`

### cert

T cert(InputStream cert) throws SOPGPException.BadData, IOException
Add one or more verification cert.

Parameters:
  `cert` - input stream containing the encoded certs
Returns:
  builder instance
Throws:
  `SOPGPException.BadData` - if the input stream does not contain an OpenPGP certificate
  `IOException` - in case of an IO error

### cert

default T cert(byte[] cert) throws SOPGPException.BadData, IOException
Add one or more verification cert.

Parameters:
  `cert` - byte array containing the encoded certs
Returns:
  builder instance
Throws:
  `SOPGPException.BadData` - if the byte array does not contain an OpenPGP certificate
  `IOException` - in case of an IO error